Subject: RE: [Simple] Query in Publish request

From: <[email-masked]>
Date: Wed, 17 May 2006 11:12:49 +0530

an entity-tag is returned by ESC in the response to a successful
PUBLISH.   
To update a previously published event state, PUBLISH requests MUST
contain a 
SIP-If-Match header field with the value of Etag that was returned in
the last successful 
response to PUBLISH. 
an initial PUBLISH request MUST NOT contain a SIP-If-Match header field.
 
>From section4.1 of RFC 3903...
 
When updating previously published event state, PUBLISH requests MUST
 contain a single SIP-If-Match header field identifying the specific
 event state that the request is refreshing, modifying or removing.
 This header field MUST contain a single entity-tag that was returned
 by the ESC in the SIP-ETag header field of the response to a previous
 publication.
 
you can also look at the examples (section 15) of the rfc.  
 
Rgds
Meera

________________________________

From: Sudhir [mailto:[email-masked]] 
Sent: Tuesday, May 16, 2006 8:08 PM
To: [email-masked]
Subject: [Simple] Query in Publish request

Hi All,
 
what is the importance of having SIP-If-match header and entiy tags in
PUBLISH request and response.
 
Any response is appericated
 
thanks in advance
Sudhir

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple